Subject: Re: bug#32825: 27.0.50; Deterministic window management

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Dec 2018 02:10:05 +0200

>> Please install it as is, I tried it and see no big problems.
>> Then later it could be amended with more improvements.
>
> Installed.

Sorry, I just noticed that the code that you moved was executed
in the *Backtrace* buffer because it was after the pop-to-buffer
call.  Now code such as `(count-lines (point-min) (point-max))'
is executed in another buffer before the pop-to-buffer call.

>> One problem not related to your patch is that when display-buffer-below-selected
>> fails, then the *Backtrace* buffer is still displayed in a random window,
>> not remembering its previous window.  A possible solution is
>> to prefer get-mru-window over get-lru-window as the default fallback.
>
> IIRC you tried with 'display-buffer-at-bottom' as second default
> alternative already and were content with it.

Adding 'display-buffer-at-bottom' would be good.
Customizing get-mru-window over get-lru-window would
be good too, I remember you already sent a patch for that ;)